# pandas.DataFrame.count

`DataFrame.``count`(axis=0, level=None, numeric_only=False)

  Return Series with number of non-NA/null observations over requested axis. Works with non-floating point data as well (detects NaN and None)

  Parameters:

  axis : {0 or ‘index’, 1 or ‘columns’}, default 0

  > 0 or ‘index’ for row-wise, 1 or ‘columns’ for column-wise

  level : int or level name, default None

  > If the axis is a MultiIndex (hierarchical), count along a particular level, collapsing into a DataFrame

  numeric_only : boolean, default False

  > Include only float, int, boolean data

  Returns: | count : Series (or DataFrame if level specified)